Results 1 to 6 of 6

Thread: Make errors when installing Synergy 1.3.1

  1. #1

    Question Make errors when installing Synergy 1.3.1

    I am compiling Synergy from source on OpenSuse 11.2, and it configures just fine, but when I go to make it, I get this:

    Code:
       
     CArchDaemonUnix.cpp: In member function virtual int CArchDaemonUnix::daemonize(const char*, int (*)(int, const char**)):
    CArchDaemonUnix.cpp:53: error: exit was not declared in this scope
    make[3]: *** [CArchDaemonUnix.o] Error 1
    make[3]: Leaving directory `/home/glenn/synergy-1.3.1/lib/arch'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/home/glenn/synergy-1.3.1/lib'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/glenn/synergy-1.3.1'
    make: *** [all] Error 2
    Everytime I encounter an error like this (often!), I have no idea how to fix it. Any help please?

  2. #2

    Default Re: Make errors when installing Synergy 1.3.1

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Is there a reason you are compiling it rather than grabbing it from
    somebody who has already managed to get it working for you? The OpenSUSE
    Build Service (OBS) makes a lot of this legwork needless:

    http://software.opensuse.org/search

    Good luck.





    On 04/18/2010 01:36 PM, ac3raven wrote:
    >
    > I am compiling Synergy from source on OpenSuse 11.2, and it configures
    > just fine, but when I go to make it, I get this:
    >
    >
    > Code:
    > --------------------
    >
    > CArchDaemonUnix.cpp: In member function ?virtual int CArchDaemonUnix::daemonize(const char*, int (*)(int, const char**))?:
    > CArchDaemonUnix.cpp:53: error: ?exit? was not declared in this scope
    > make[3]: *** [CArchDaemonUnix.o] Error 1
    > make[3]: Leaving directory `/home/glenn/synergy-1.3.1/lib/arch'
    > make[2]: *** [all-recursive] Error 1
    > make[2]: Leaving directory `/home/glenn/synergy-1.3.1/lib'
    > make[1]: *** [all-recursive] Error 1
    > make[1]: Leaving directory `/home/glenn/synergy-1.3.1'
    > make: *** [all] Error 2
    >
    > --------------------
    >
    >
    > Everytime I encounter an error like this (often!), I have no idea how
    > to fix it. Any help please?
    >
    >

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v2.0.12 (GNU/Linux)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

    iQIcBAEBAgAGBQJLy5FrAAoJEF+XTK08PnB51VoP/15rIs4+C0Uz+6OWRuFVHO+A
    NxrUlSOLTVsR7zWdw54bZZI93LiAkbmncvtFNM3TRb/0sCN3w5GBNBnQrFatbFT3
    ZZHULM61F9ePjX1JUKz1C2Exs+0rPbZXLyKOsMz6WJ4IqBfC9cp2d3BQheciF3E3
    rJZ0b1OaCcQrLCJudui+kMoRNQXTJTpKMuaASvoNaffrVJem3JY2RHb2v91lXGZw
    /WRsS3/tlMKKxO1ky4vrcJTEeACZWntPxBrqDEGyXRd+rdNhAh+BYPiVp6Aslo3F
    hqWFiEaTuwQJHFyLWxaN4jOptoDB39v4CzKRupxTqNjTUnHy60PnOh2UnlCXe5oR
    QzFlWbWg/mW655bW5LFmB9iR6mLH1V9Xb8GsOp1RdUB3slyCRKBYaR5QnxqcUvbD
    Aztr+gKtC0QvDkm2a625ytfz3NuDEPaaSZp+AEiZNoOLoYp/iLRMO7ztfOpEzx/D
    rVPoVEWO72QfUdbt31bDzH8Yld48dsa1ikKJRtErnPRwGFDhWL/D+AY4tZ+4uAwm
    xklvjOnPPV6cq3bdROlwQwC1Hwq426rZ96mZXyE5MipEsY6JwDpHbv6ctQuyikBi
    LbX+ewdZbhS/R/9hlwrZClJfzpm8SYKuseOpzhHLVcL/LPqJcHlTqWjqgieQif3/
    q6d6SM66/yAdRrUB5i4m
    =fsB5
    -----END PGP SIGNATURE-----

  3. #3

    Default Re: Make errors when installing Synergy 1.3.1

    When I try that,this happens:

    Code:
    [PK_TMP_DIR|dir:///var/tmp/TmpDir.sCSv76] Repository already exists.
    Any ideas?

    I'm new to opensuse, I use Arch and Fedora primarily.

  4. #4

    Default Re: Make errors when installing Synergy 1.3.1

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    What, specifically, did you do to "try that"? If you go to the site you
    can search for Synergy under your product and download the RPM directly,
    or you can use the one-click install and it will pull it from the
    repository directly.

    Good luck.





    On 04/18/2010 06:36 PM, ac3raven wrote:
    >
    > When I try that,this happens:
    >
    >
    > Code:
    > --------------------
    > [PK_TMP_DIR|dir:///var/tmp/TmpDir.sCSv76] Repository already exists.
    > --------------------
    >
    >
    > Any ideas?
    >
    > I'm new to opensuse, I use Arch and Fedora primarily.
    >
    >

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v2.0.12 (GNU/Linux)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

    iQIcBAEBAgAGBQJLy9d0AAoJEF+XTK08PnB5dIAP/0WI0B0A1T6KZx/d5G7gncf8
    Y6psEomE8U9t5Ks3l4j9Qh97xNn+LtPoBhCr5PclMb+lsizyIO+fwFdJ2sbkPSDI
    KZsv44T8w3MKownVHNObv+Mmi0mBxLXhzWC1Ydrpa35LVmk889intX1nVP9nfy2j
    I442ZZyHMxD5l4I9yzrKQ6BOVhvzm0BRgHm3J9WtfGWXCTtdmQaqNYW/VjKKI3rl
    qbDcl/8zn95Wnw0ffnkRdMHp1NrSynr9zfllFvbP3XlkC8eVlpkG5PhSMHpfqkw0
    uP0lSJodh0opPxWd8UviWA+nrf7ixdk6LxGDi2GZ9F80kYJbQRwGwmxPdF7EiwP/
    0Nku3bgBEWRFO+SdJFFkke+iCFHI5grDMRJW2+IIMoW0u9KffBiSqr2wbRjfrrJb
    2sL3jJ6/IyYjC6CX0gUYbIpZaQYSpwphv2gAdge2UT9Jm98/fwVD+VNpUUNu1rZC
    DJpQE+A7vhLN6dqlN7QZz75Q6wFiZ35FoRU/ewovCTI0NP79ogYJNptPN67z/evf
    4PvnBKWqgHGEJ+ATlA30JVkexY7faCYFQuMkNilHuvxpq/Wzbjk8Qzcx8/nLZd+3
    W2sid8IZWsCkBDfdcJ1K0lukSFwI+E3BdsVnVHEZtxKI/hjpImkhfz19vN6Dyl8h
    fYWUljWOjf4/jPXVXhRb
    =rbe8
    -----END PGP SIGNATURE-----

  5. #5

    Default Re: Make errors when installing Synergy 1.3.1

    I clicked on the i586 package and opened it with the installer, and that message popped up. I don't know how to fix that.

  6. #6
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,066

    Default Re: Make errors when installing Synergy 1.3.1

    On Mon, 19 Apr 2010 14:56:01 +0000, ac3raven wrote:

    > I clicked on the i586 package and opened it with the installer, and that
    > message popped up. I don't know how to fix that.


    You might want to look at Synergy+, the original synergy hasn't been
    maintained for years.

    http://code.google.com/p/synergy-plus/

    I'm using this myself, and it works very well.

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •